package com.yunfeiyun.agmp.fms.service;

import com.yunfeiyun.agmp.fms.domain.TmnBase;
import com.yunfeiyun.agmp.fms.domain.resvo.TmnBaseTypeResVo;

import java.util.List;

/**
 * 设备Service接口
 * 
 * @author 杨晓辉
 * @date 2023-07-06
 */
public interface ITmnBaseService 
{
    /**
     * 查询设备
     * 
     * @param tmnId 设备主键
     * @return 设备
     */
    public TmnBase selectTmnBaseByTmnId(String tmnId);

    /**
     * 查询最新一台设备
     *
     * @return 设备
     */
    public TmnBase selectTmnBaseByOne();

    /**
     * 查询设备列表
     * 
     * @param tmnBase 设备
     * @return 设备集合
     */
    public List<TmnBase> selectTmnBaseList(TmnBase tmnBase);

    /**
     * 查询设备列表
     * @return 设备列表集合
     */
    public List<TmnBaseTypeResVo> selectTmnBaseTypeList();

    /**
     * 新增设备
     * 
     * @param tmnBase 设备
     * @return 结果
     */
    public int insertTmnBase(TmnBase tmnBase);

    /**
     * 修改设备
     * 
     * @param tmnBase 设备
     * @return 结果
     */
    public int updateTmnBase(TmnBase tmnBase);

    /**
     * 同步设备
     *
     * @return 结果
     */

    public int syncTmnBase();

    /**
     * 同步设备
     *
     * @return 结果
     */

    public int syncTmnBase(String startTimestamp);

    /**
     * 批量删除设备
     * 
     * @param tmnIds 需要删除的设备主键集合
     * @return 结果
     */
    public int deleteTmnBaseByTmnIds(String[] tmnIds);

    /**
     * 删除设备信息
     * 
     * @param tmnId 设备主键
     * @return 结果
     */
    public int deleteTmnBaseByTmnId(String tmnId);
}
